DGEN(1)

NAME
dgen - Sega Genesis/MegaDrive emulator

SYNOPSIS
dgen [-PRfhjv] [-D DEMONAME] [-d DEMONAME] [-n USEC] [-p CODE,CODE...] [-r RCFILE] [-X XFACT] [-Y YFACT] [-S FACT] [-G XxY] [-s SLOT] romname

DESCRIPTION
The rom image in the file romname is executed, as emulated on a Sega Genesis or MegaDrive running in 60Hz NTSC mode (unless the -P option is specified, in which case 50Hz PAL mode is used). romname should be in raw binary or SMD format, and may be compressed with gzip(1), zip(1), or bzip2(1).

The options are as follows:

-P  Emulate 50Hz PAL mode (as used in European models of the MegaDrive).

-R  If running with root priviledges, set priority to -20, so no other processes interrupt (including the X server, which can be a Bad Thing).

-f  Run fullscreen, if possible.

-h  Show a brief synopsis of all options.

-j  Use joystick, if running on Linux with joystick drivers >= 1.0.

-v  Show the version number, and exit.

-D DEMONAME
    Play back a demo recorded with the -d option.

-d DEMONAME
    Record a demo of the program running, which can be later replayed with the -D switch.

-n USEC
    Sleep for a number of microseconds after every frame, to give time to other processes.

-p CODE,CODE...
    Modify the ROM image in memory, using Game Genie or Hex style codes. Game Genie codes are of the form ABCD-EFGH and Hex codes are in the form 123456:ABCD. To specify more than one code, separate them with commas (do not use spaces).

-r RCFILE
    Parse another rc file after $HOME/.dgen/dgenrc. Values in the specified file override those in the preceding files.

-X XFACT
    Scale the window XFACT times in the X direction. XFACT must be a positive integer.

-Y YFACT
    Scale the window YFACT times in the Y direction. YFACT must be a positive integer.

-S FACT
    Scale the window FACT times in both directions. FACT must be a positive integer.

-G XxY
    Use OpenGL to render the screen, if available. The parameter is the width and height of the desired screen (e.g. 640x480, 800x600, etc.)

-s SLOT
    Load the saved state from the given slot at startup (0-9)

FILES
$HOME/.dgen/dgenrc
    Contains user settings for the emulator.
$HOME/.dgen/saves/*
    Save states generated by the emulator.
$HOME/.dgen/ram/*
    Battery-backup RAM images, generated by the emulator for ROMs with save RAM.

SEE ALSO
gzip(1), bzip2(1), zip(1), dgenrc(5)

AUTHORS
This manual page was written by Joe Groff <joe@pknet.com>.

BUGS
PAL mode does not work very well yet. Numerous buffer overruns (think twice before making dgen setuid-root).

Send any bugs you find (and fixes too, please :) to Joe Groff <joe@pknet.com>.